<?php

namespace Bydedi\Lengow;

class Marketplace
{
    protected $name;
    protected $wsdl;
    protected $flux_id;
    protected $paiement_id;
    protected $api_url;

    /**
     * @var LengowLivraison[]
     */
    protected $livraisons;

    /**
     * @var array
     */
    protected $states;

    /**
     * @return mixed
     */
    public function getApiUrl()
    {
        return $this->api_url;
    }

    /**
     * @param mixed $api_url
     */
    public function setApiUrl($api_url)
    {
        $this->api_url = $api_url;
    }

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param mixed $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return mixed
     */
    public function getWsdl()
    {
        return $this->wsdl;
    }

    /**
     * @param mixed $wsdl
     */
    public function setWsdl($wsdl)
    {
        $this->wsdl = $wsdl;
    }

    /**
     * @return mixed
     */
    public function getFluxId()
    {
        return $this->flux_id;
    }

    /**
     * @param mixed $flux_id
     */
    public function setFluxId($flux_id)
    {
        $this->flux_id = $flux_id;
    }

    /**
     * @return array
     */
    public function getStates()
    {
        return $this->states;
    }

    /**
     * @param array $states
     */
    public function setStates($states)
    {
        $this->states = $states;
    }

    /**
     * @return mixed
     */
    public function getPaiementId()
    {
        return $this->paiement_id;
    }

    /**
     * @param mixed $paiement_id
     */
    public function setPaiementId($paiement_id)
    {
        $this->paiement_id = $paiement_id;
    }

    /**
     * @return LengowLivraison[]
     */
    public function getLivraisons()
    {
        return $this->livraisons;
    }

    /**
     * @param array $livraisons
     */
    public function setLivraisons($livraisons)
    {
        $this->livraisons = $livraisons;
    }

    public function __construct()
    {
        $this->states = array();
    }
}
